import { Module } from '@nestjs/common'
import { HKPController } from './controllers/hkp.controller.js'
import { OpenPGPKeysProvider } from './providers/openpgp.provider.js'
import { AllKeysProvider } from './providers/all.provider.js'
import { UbuntuKeysProvider } from './providers/ubuntu.provider.js'
import { KeysCacheProvider } from './cache/cache.provider.js'

@Module({
    providers: [OpenPGPKeysProvider, UbuntuKeysProvider, AllKeysProvider, KeysCacheProvider],
    controllers: [HKPController],
    exports: [OpenPGPKeysProvider, UbuntuKeysProvider, AllKeysProvider],
})
export class KeysModule {}
